unit DavEmitido;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, Buttons, StdCtrls, Mask, Shellapi;

type
  TFormDAV = class(TForm)
    BT1: TButton;
    BT2: TButton;
    BT3: TButton;
    StatusBar1: TStatusBar;
    procedure BT2Click(Sender: TObject);
    procedure BT3Click(Sender: TObject);
    procedure BT1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormDAV: TFormDAV;
  Resposta:Integer;

implementation

uses Principal, declaracoes, funcoesapoio;

{$R *.dfm}

procedure TFormDAV.BT2Click(Sender: TObject);
var pDir:Pchar;
begin
      if  MessageDlg('Esta função deverá capturar as informações do ECF e'+chr(13)+
                     'armazenar no Banco de Dados.' + chr(13) +
                     ' ' +Chr(13)+
                     'Para saber quais funções utilizar, oriente-se pelo Anexo III do seguinte'+chr(13)+
                     'documento: "Funções Sweda para a implementação do PAF-ECF v01.06.pdf"' +chr (13) +
                     ' ' + chr(13)+
                     'Deseja abrir este documento agora?'
                     , mtConfirmation, [mbYes, mbNo], 0)= mrYes then
      begin


              GetMem(pDir,256);
              StrPCopy(pDir, ExtractFilePath(Application.ExeName)); {Aqui vc coloca o caminho do arquivo}
              ShellExecute(0, nil, 'Funções Sweda para a implementação do PAF-ECF v01.06.pdf', nil, pDir, SW_NORMAL);
              FreeMem(pdir,256);
      end;

end;

procedure TFormDAV.BT3Click(Sender: TObject);
begin
        Close;
end;

procedure TFormDAV.BT1Click(Sender: TObject);
begin
        FormDav.Cursor:=crHourGlass;BT1.Cursor:=crHourGlass;BT2.Cursor:=crHourGlass;BT3.Cursor:=crHourGlass;
        StatusBar1.Panels[0].Text:='Aguarde...'; Refresh;
        Resposta:=ECF_AbreRelatorioGerencial(); WaitProcess;
        if Resposta = 1 then begin
            Resposta:=ECF_RelatorioGerencial(#16+'N'+#16+'E'+'     DAVS EMITIDOS');
            Resposta:=ECF_RelatorioGerencial('  ');
            Resposta:=ECF_RelatorioGerencial(#16+'C'+#16+'B'+'       Número Dt Emissão Título                        ');
            Resposta:=ECF_RelatorioGerencial(#16+'C'+'0000000000001 99/99/9999 Título 1 .....................');
            Resposta:=ECF_RelatorioGerencial(#16+'C'+'VALOR DAV: 999.999,99');
            Resposta:=ECF_RelatorioGerencial('  ');
            Resposta:=ECF_RelatorioGerencial(#16+'C'+'0000000000002 99/99/9999 Título 2 .....................');
            Resposta:=ECF_RelatorioGerencial(#16+'C'+'VALOR DAV: 999.999,99');
        end;
        Resposta:=ECF_FechaRelatorioGerencial();
        VerificaRetornoFuncao(Resposta);
        StatusBar1.Panels[0].Text:=' '; Refresh;
        FormDav.Cursor:=crDefault; BT1.Cursor:=crDefault;BT2.Cursor:=crDefault;BT3.Cursor:=crDefault;
end;

end.
